Subject: Re: bug#62704: 30.0.50; treesit-install-language-grammar should accept an arg to indicate the installation path.

From: Stefan Kangas <[email-masked]>
Date: Mon, 11 Sep 2023 16:35:37 -0700

Yuan Fu <[email-masked]> writes:

> Nasy <[email-masked]> writes:
>
>> Hi,
>>
>> In treesit.el, the ~treesit-install-language-grammar~ function installs
>> the grammar to the default path of
>> ~treesit--install-language-grammar-1~, which is inconvenient for users
>> who want to install the grammar to a custom path.  Adding an optional
>> argument =PATH= to this function and changing the line below would be
>> better.
>>
>>     (condition-case err
>>         (apply #'treesit--install-language-grammar-1
>>                ;; The nil is OUT-DIR.
>> -               (cons nil recipe))
>> +               (cons PATH recipe))
>>       (error
>
> Fair enough. I added a prompt at the end that asks for the target
> directory. Please give it a try (I didn’t test it :-)

No further comments within 5 months, so I assume that the fix worked.
I'm therefore closing this bug report with this message.

If this conclusion is incorrect and this is still an issue, please reply
to this email (use "Reply to all" in your email client) and we can
reopen the bug report.